<?php
/*
+---------------------------------------------------------------+
|        PGL for e107 v0.7
|
|        A plugin for the e107 website system
|        http://www.e107.org/
|
|        Susanne Bullo
|        http://www.web-dev-design.com/
|        sbullo@odesk.com
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/
// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "Personal Game Library";
$eplug_version = "0.1";
$eplug_author = "Susanne Bullo";
$eplug_logo = "button.png";
$eplug_url = "http://www.web-dev-design.com/";
$eplug_email = "sbullo@odesk.com";
$eplug_description = "A plugin to create Personal Game Libraries for members.";
$eplug_compatible = "e107v6+";
$eplug_readme = "readme.txt";        // leave blank if no readme file

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "pgl_menu";

// Name of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "pgl_menu";

// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "config.php";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/icon.gif";
$eplug_caption =  "Configure PGL plugin";

// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
        "PGL_1" => 0 // this stores a default value in the preferences.0 = off , 1= On
);



// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array("pgl_game_systems","pgl_games","pgl_list","user_pgl","pgl_game_reviews");


// List of sql requests to create tables -----------------------------------------------------------------------------
$timestamp = time();

$eplug_tables = array(
"CREATE TABLE ".MPREFIX."pgl_game_systems (
  system_id int(10)  NOT NULL auto_increment,
  system_enable tinyint(1) NOT NULL default '0',
  date_added varchar(16) NOT NULL,
  system_title varchar(64) NOT NULL,
  system_description varchar(255) default NULL,
  PRIMARY KEY (system_id)
) TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."pgl_games (
  game_id int(10)  NOT NULL auto_increment,
  system_id int(10) NOT NULL default '0',
  date_added varchar(16) NOT NULL,
  game_title varchar(64) NOT NULL,
  game_description varchar(255) default NULL,
  game_icon varchar(64) NOT NULL,
  PRIMARY KEY (game_id)
) TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."pgl_list (
  list_id int(10)  NOT NULL auto_increment,
  user_id int(10)  NOT NULL,
  system_id int(10)  NOT NULL,
  game_id int(10)  NOT NULL,
  date_added varchar(16) NOT NULL default 0,
  visible tinyint(1) NOT NULL default '0',
  UNIQUE (list_id),
  PRIMARY KEY (list_id)
) TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."user_pgl (
  user_id int(10)  NOT NULL,
  system_id int(10)  NOT NULL,
  UNIQUE (user_id),
  PRIMARY KEY (user_id)
) TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."pgl_game_reviews (
  review_id int(10)  NOT NULL auto_increment,
  pgl_game_id int(10)  NOT NULL,
  user_pgl_id int(10)  NOT NULL,
  game_review text NOT NULL,
  UNIQUE (review_id),
  PRIMARY KEY (review_id)
) TYPE=MyISAM;"
);

// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = TRUE;
$eplug_link_name = "PGL";
$eplug_link_url = "e107_plugins/pgl_menu/pgl.php";


// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = "Installation completed successfully.  Please change the permissions on the icon folder for this plugin to read/write/execute all (CHMOD 777).  You need to proceed to the configuration portion of this plugin to add systems and games.";


?>